k0rdent AI Docs

Update user

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Update user details or role assignments.

PATCH
/v1/regions/global/iam/users/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

id*string

Unique user identifier

Request Body

application/json

displayName?string

Updated user display name

roles?array<string>

Updated role assignments

status?string

User account status

Value in"active" | "suspended" | "disabled"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.k0rdent.ai/v1/regions/global/iam/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/global/iam/users/user-v5w6x7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "user-v5w6x7",
  "email": "user@example.com",
  "displayName": "string",
  "roles": [
    "string"
  ],
  "status": "active",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings